package org.deke.risk.riskahead;

import android.os.Bundle;
import android.util.Log;

import org.deke.risk.riskahead.fragment.SettingsFragment;
import org.deke.risk.riskahead.helper.BaseActivity;

/**
 *
 * (C) Copyright 2016 RiskAhead (http://www.riskahead.net)
 * Developer & Contributor: Dennis Thießen (dennis.thiessen@riskahead.net)
 * Date of Release: 10.02.2016
 *
 */
public class SettingsActivity extends BaseActivity {
    private final static String TAG = SettingsActivity.class.getSimpleName();

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        userHasToBeLoggedIn();

        getFragmentManager().beginTransaction().replace(R.id.fragment_content, new SettingsFragment()).commit();
        Log.d(TAG, "SettingsActivity created");
    }

    @Override
    protected void onResume() {
        super.onResume();
        navDrawer.setSelection(settingsAvtivityID,false);
    }

    @Override
    protected int getLayoutResourceId() {
        return R.layout.activity_settings;
    }

    @Override
    protected String getActivityName() { return getResources().getString(R.string.title_activity_settings); }




}
